<template>
  <form class="post-form" @submit.prevent="onSubmit">
    <AppControllerInput v-model="post.title" label="title"
      >Title</AppControllerInput
    >
    <AppControllerInput v-model="post.author" label="author"
      >Author</AppControllerInput
    >
    <AppControllerInput v-model="post.previewText" label="preview-text"
      >Preview Text</AppControllerInput
    >
    <AppControllerInput v-model="post.slug" label="slug"
      >Slug</AppControllerInput
    >
    <AppControllerInput v-model="post.thumbnail" label="thumbnail"
      >Thumbnail Url</AppControllerInput
    >
    <AppControllerInput
      v-model="post.content"
      control-type="textarea"
      label="content"
      >Content</AppControllerInput
    >
    <div class="action-buttons">
      <AppButton @click="onCancel">Cancel</AppButton>
      <AppButton type="submit">Save</AppButton>
    </div>
  </form>
</template>
<script>
export default {
  props: {
    post: {
      type: Object,
      required: true,
      default: () => {},
    },
  },
  methods: {
    onSubmit() {
      this.$emit('submit', this.post)
    },
    onCancel() {
      this.$router.push('/')
    },
  },
}
</script>
<style>
.action-buttons {
  margin: 10px;
  padding-top: 10px;
}
</style>
